lkml.org 
[lkml]   [2008]   [Feb]   [20]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
Date
From
Subject[PATCH] [kvm-devel] build #365 issue for v2.6.25-rc2-342-g5d9c4a7 in ./arch/x86/kvm/kvm.ko
On Wed, 20 Feb 2008 16:07:03 +0200 Avi Kivity wrote:

> > Looks like KVM conflicts with CONFIG_VOYAGER...
> >
>
> Attached patch should fix.
>
> Subject: x86: disable KVM on Voyager
>
> Most classic Pentiums don't have hardware virtualization
> extension, and building kvm with voyager generates
> spurious failures.
>
> Signed-off-by: Avi Kivity <avi@qumranet.com>

Might as well extend it for VISWS & NUMAQ:

---
From: Avi Kivity <avi@qumranet.com>
Most classic Pentiums don't have hardware virtualization extension,
and building kvm with Voyager, Visual Workstation, or NUMAQ
generates spurious failures.

Signed-off-by: Avi Kivity <avi@qumranet.com>
Signed-off-by: Randy Dunlap <randy.dunlap@oracle.com>
---
arch/x86/Kconfig | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
--- linux-2.6.25-rc2-git4.orig/arch/x86/Kconfig
+++ linux-2.6.25-rc2-git4/arch/x86/Kconfig
@@ -21,7 +21,7 @@ config X86
select HAVE_IDE
select HAVE_OPROFILE
select HAVE_KPROBES
- select HAVE_KVM
+ select HAVE_KVM if ((X86_32 && !X86_VOYAGER && !X86_VISWS && !X86_NUMAQ) || X86_64)


config GENERIC_LOCKBREAK

\
 
 \ /
  Last update: 2008-02-20 18:25    [from the cache]
©2003-2014 Jasper Spaans. Advertise on this site